Debian Bug report logs - #654283
megaglest: FTBFS on non-x86 arches

version graph

Package: megaglest; Maintainer for megaglest is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for megaglest is src:megaglest.

Reported by: markos@freevec.org

Date: Mon, 2 Jan 2012 19:21:05 UTC

Severity: important

Found in versions megaglest/3.6.0.2-2, megaglest/3.6.0.3-1

Fixed in version megaglest/3.7.1-1

Done: Mark Vejvoda <mark_vejvoda@hotmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#654283; Package megaglest. (Mon, 02 Jan 2012 19:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 02 Jan 2012 19:21:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit <submit@bugs.debian.org>
Subject: megaglest: FTBFS on non-x86 arches
Date: Mon, 2 Jan 2012 21:16:44 +0200
Package: megaglest
Version: 3.6.0.2-2
Severity: important

https://buildd.debian.org/status/package.php?p=megaglest&suite=sid

Looking at the source of the package, I could find no mention of any
support for ARM or any other arch that is listed in the arch field.
Reading the build logs about the asm errors, it seems that this
package is strictly for x86/x86_64 arches -actually it only builds on
those anyways. Perhaps you should restrict the arch list accordingly.

Konstantinos




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#654283; Package megaglest. (Wed, 04 Jan 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mark_vejvoda@hotmail.com:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 04 Jan 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 654283@bugs.debian.org (full text, mbox):

From: Mark Vejvoda <mark_vejvoda@hotmail.com>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 654283@bugs.debian.org
Subject: Re: Bug#654283: megaglest: FTBFS on non-x86 arches
Date: Tue, 3 Jan 2012 17:42:41 -0800
Just an FYI that this has been fixed upstream and will be in the next
release.

On Mon, 2012-01-02 at 21:16 +0200, Konstantinos Margaritis wrote:
> Package: megaglest
> Version: 3.6.0.2-2
> Severity: important
> 
> https://buildd.debian.org/status/package.php?p=megaglest&suite=sid
> 
> Looking at the source of the package, I could find no mention of any
> support for ARM or any other arch that is listed in the arch field.
> Reading the build logs about the asm errors, it seems that this
> package is strictly for x86/x86_64 arches -actually it only builds on
> those anyways. Perhaps you should restrict the arch list accordingly.
> 
> Konstantinos
> 
> 
> 
> _______________________________________________
> Pkg-games-devel mailing list
> Pkg-games-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-games-devel
> 






Added tag(s) fixed-upstream. Request was from Mark Vejvoda <mark_vejvoda@hotmail.com> to control@bugs.debian.org. (Wed, 04 Jan 2012 01:45:04 GMT) Full text and rfc822 format available.

Reply sent to Mark Vejvoda <mark_vejvoda@hotmail.com>:
You have taken responsibility. (Fri, 03 Feb 2012 13:36:07 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Fri, 03 Feb 2012 13:36:07 GMT) Full text and rfc822 format available.

Message #17 received at 654283-close@bugs.debian.org (full text, mbox):

From: Mark Vejvoda <mark_vejvoda@hotmail.com>
To: 654283-close@bugs.debian.org
Subject: Bug#654283: fixed in megaglest 3.6.0.3-1
Date: Fri, 03 Feb 2012 13:33:40 +0000
Source: megaglest
Source-Version: 3.6.0.3-1

We believe that the bug you reported is fixed in the latest version of
megaglest, which is due to be installed in the Debian FTP archive:

glest_3.6.0.3-1_all.deb
  to main/m/megaglest/glest_3.6.0.3-1_all.deb
megaglest-dbg_3.6.0.3-1_amd64.deb
  to main/m/megaglest/megaglest-dbg_3.6.0.3-1_amd64.deb
megaglest_3.6.0.3-1.debian.tar.gz
  to main/m/megaglest/megaglest_3.6.0.3-1.debian.tar.gz
megaglest_3.6.0.3-1.dsc
  to main/m/megaglest/megaglest_3.6.0.3-1.dsc
megaglest_3.6.0.3-1_amd64.deb
  to main/m/megaglest/megaglest_3.6.0.3-1_amd64.deb
megaglest_3.6.0.3.orig.tar.xz
  to main/m/megaglest/megaglest_3.6.0.3.orig.tar.xz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654283@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Vejvoda <mark_vejvoda@hotmail.com> (supplier of updated megaglest package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 25 Jan 2012 08:45:18 +0800
Source: megaglest
Binary: glest megaglest megaglest-dbg
Architecture: source all amd64
Version: 3.6.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Mark Vejvoda <mark_vejvoda@hotmail.com>
Description: 
 glest      - Dummy transition package for megaglest
 megaglest  - 3D multi-player real time strategy game
 megaglest-dbg - debug files for MegaGlest
Closes: 653547 654283
Changes: 
 megaglest (3.6.0.3-1) unstable; urgency=low
 .
   [ Mark Vejvoda ]
   * New upstream release
     - Fixes FTBFS on non-x86 architectures (Closes: #654283)
     - Fixes crash with some GPU/driver combinations (Closes: #653547)
 .
   [ Paul Wise ]
   * megaglest should be priority extra since famfam is extra
   * Drop patches, they were applied upstream
Checksums-Sha1: 
 1b718ffdb5bff30f9699176c7681c9ead1ac56d9 1832 megaglest_3.6.0.3-1.dsc
 39812a8f6578e044e751934b3d34b626440eb854 1336432 megaglest_3.6.0.3.orig.tar.xz
 5b3e13c32e67fb211db3e41e0e36f85210c78aee 9211 megaglest_3.6.0.3-1.debian.tar.gz
 97a5973fee0c7a1ccfa85e7ab9dc00a347102394 19788 glest_3.6.0.3-1_all.deb
 628387c94cc8972b48648c0dfc18d717c608bdc5 3495186 megaglest_3.6.0.3-1_amd64.deb
 511b0d5c3b51cffde84bc76102e3ffc04786e6c0 24168652 megaglest-dbg_3.6.0.3-1_amd64.deb
Checksums-Sha256: 
 33bf8b464d12f9d75693562c3daa0b66ea331826e222a8660283403ce7e0565f 1832 megaglest_3.6.0.3-1.dsc
 700b1eef534d72fa5efd329445aa085259a87dcea5e739eda629e6c41386b9f7 1336432 megaglest_3.6.0.3.orig.tar.xz
 3702a58fb021898097a81c7bbe43686218306b5207d7eb2ba157260504d9b1a3 9211 megaglest_3.6.0.3-1.debian.tar.gz
 97af798ae3b796b614afd4274bf1efe3de342ba4202a54c0a35e6f0817ec8b27 19788 glest_3.6.0.3-1_all.deb
 335da4b9731d7865b3f13df46aef0297cf6bbf93a565910dab7c94ba178280a6 3495186 megaglest_3.6.0.3-1_amd64.deb
 8621e8141c8f85a2f53fad9053b33f6b6ed14a0778d8c34cb7a13b7025fb02ae 24168652 megaglest-dbg_3.6.0.3-1_amd64.deb
Files: 
 ffb9060ba4b9846f74e4deca842bd95b 1832 games extra megaglest_3.6.0.3-1.dsc
 5a4a2429435031d9f9cc5d9535a9de9d 1336432 games extra megaglest_3.6.0.3.orig.tar.xz
 2298ebb308028da2ec128f78c6f8ac16 9211 games extra megaglest_3.6.0.3-1.debian.tar.gz
 30783aa3d2362465e552348e1e42ba6c 19788 oldlibs extra glest_3.6.0.3-1_all.deb
 46d2294d89fe6b8da26cc98703480348 3495186 games extra megaglest_3.6.0.3-1_amd64.deb
 7f5db0dae3cfe416080f6973e7ea7e87 24168652 debug extra megaglest-dbg_3.6.0.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8rrsAACgkQ5Sc9mGvjxCM26wCgys+HDXcFcH0hzAdpD4akKJPj
K70An1z1UToQ62ukcMuesNt0qQaBaL7X
=SqAO
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions megaglest/3.6.0.3-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Feb 2012 21:57:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions megaglest/3.6.0.3-1. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Fri, 03 Feb 2012 21:57:07 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Fri, 03 Feb 2012 22:51:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 654283: 659104 Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Thu, 09 Feb 2012 22:45:06 GMT) Full text and rfc822 format available.

Added indication that bug 654283 blocks 654417 Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 10 Feb 2012 09:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#654283; Package megaglest. (Fri, 10 Feb 2012 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 10 Feb 2012 10:01:07 GMT) Full text and rfc822 format available.

Message #32 received at 654283@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 654283@bugs.debian.org
Subject: Re: megaglest: FTBFS on non-x86 arches
Date: Fri, 10 Feb 2012 10:57:40 +0100
[Message part 1 (text/plain, inline)]
Actually this bug seems to affect the latest release too.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0416 0004 A827 6E40 BB98 90FB E8A4 8AE5 311D 765A
[signature.asc (application/pgp-signature, inline)]

Bug closed, send any further explanations to Konstantinos Margaritis <markos@genesi-usa.com> Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 11 Feb 2012 09:16:35 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Feb 2012 08:21:02 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Hiroyuki Yamamoto <yama1066@gmail.com> to control@bugs.debian.org. (Thu, 03 May 2012 09:55:50 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 12 May 2012 15:27:03 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'markos@freevec.org' from 'Konstantinos Margaritis <markos@genesi-usa.com>' Request was from Konstantinos Margaritis <markos@freevec.org> to control@bugs.debian.org. (Wed, 07 Nov 2012 09:36:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Tue, 13 Nov 2012 06:12:03 GMT) Full text and rfc822 format available.

Reply sent to Mark Vejvoda <mark_vejvoda@hotmail.com>:
You have taken responsibility. (Wed, 18 Sep 2013 20:00:11 GMT) Full text and rfc822 format available.

Notification sent to markos@freevec.org:
Bug acknowledged by developer. (Wed, 18 Sep 2013 20:00:12 GMT) Full text and rfc822 format available.

Message #49 received at 654283-close@bugs.debian.org (full text, mbox):

From: Mark Vejvoda <mark_vejvoda@hotmail.com>
To: 654283-close@bugs.debian.org
Subject: Bug#654283: fixed in megaglest 3.7.1-1
Date: Wed, 18 Sep 2013 19:48:42 +0000
Source: megaglest
Source-Version: 3.7.1-1

We believe that the bug you reported is fixed in the latest version of
megaglest, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654283@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Vejvoda <mark_vejvoda@hotmail.com> (supplier of updated megaglest package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 18 Sep 2013 21:01:59 +0200
Source: megaglest
Binary: megaglest megaglest-dbg
Architecture: source amd64
Version: 3.7.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Mark Vejvoda <mark_vejvoda@hotmail.com>
Description: 
 megaglest  - 3D multi-player real time strategy game
 megaglest-dbg - debug files for MegaGlest
Closes: 534213 654283 703273
Changes: 
 megaglest (3.7.1-1) unstable; urgency=low
 .
   [ Mark Vejvoda ]
   * New upstream release (Closes: #703273) (LP: #1216684)
     - Fixes upstream reported defects
     - Fixes FTBFS on non-x86 architectures (Closes: #654283)
     - Fixes graphics issues (Closes: #534213)
     - Upstream added vlc dependencies, add to deps/build-deps
     - Upstream dropped the configurator, don't install it
     - Drop patch that was included upstream
   * Bump Standards-Version
   * Update copyright information
   * Let upstream code autodetect the miniupnpc version
 .
   [ Eddy Petrișor ]
   * Remove myself from Uploaders
 .
   [ Paul Wise ]
   * Upstream switched away from luajit, change build-deps
   * wrap-and-sort -s
   * Copyright file is not well-formed, don't claim it is
   * Bump to debhelper compat 9
   * Drop glest transitional package
   * Fix the Vcs-Browser header
   * Override a lintian warning about substvars, upstream syncs versions
 .
   [ Evgeni Golov ]
   * Correct Vcs-* URLs to point to anonscm.debian.org
Checksums-Sha1: 
 a20636d0af85438ea0ba15630dd91fd15a0e497b 2387 megaglest_3.7.1-1.dsc
 b1dc96faace1dc77bf155f37c1fd678ac63836e4 1439864 megaglest_3.7.1.orig.tar.xz
 19f6a23b85961e27adc2ae906040f2164e7355cf 9302 megaglest_3.7.1-1.debian.tar.gz
 4d9fdea3f553dfa8452e7037e34627ef96907990 2636832 megaglest_3.7.1-1_amd64.deb
 94d1c99533efa268999b87abe424b29d7117d8de 34492112 megaglest-dbg_3.7.1-1_amd64.deb
Checksums-Sha256: 
 cbb9afbe44212d44a12d40eaa46afaf9efe02755abadf7bad1b8cbcf3ec18f3c 2387 megaglest_3.7.1-1.dsc
 0222196c6a274cfd1b5fd074206a6bedcf3da4f343345f3e2682e704f94adc26 1439864 megaglest_3.7.1.orig.tar.xz
 0c105c57ce26f4d5f2a37a22681fe4fb93e32903716d9ba1a4e0c3510c6ca73c 9302 megaglest_3.7.1-1.debian.tar.gz
 276c2da6cb744ec563d2c8d57e125e9960376c7ee4c7b42c4b34d98fa69fd591 2636832 megaglest_3.7.1-1_amd64.deb
 667cb5fbb488721f3420da2f42caeec7526affe1fb6d0c17fae2b305d1d8de7b 34492112 megaglest-dbg_3.7.1-1_amd64.deb
Files: 
 442b5b765eb1b01f7ec782781b27af3a 2387 games extra megaglest_3.7.1-1.dsc
 e7a960ec73784aa0f7b951d2ad963456 1439864 games extra megaglest_3.7.1.orig.tar.xz
 d3d71c63af533b9ac93685fe263667d8 9302 games extra megaglest_3.7.1-1.debian.tar.gz
 d818210dd265e28bfaf10c1b2a57fac5 2636832 games extra megaglest_3.7.1-1_amd64.deb
 c6cc46a4a3d5989a52f0e986c55d9737 34492112 debug extra megaglest-dbg_3.7.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCgAGBQJSOf2JAAoJEDEWul6f+mmjVrgP/A2ZtQrhJjWMvwkJX91lBIPk
1bvUFWRHvxM35gmZ38TdNIIXdW+S+6BQIm8r55pRZxkVVA9RrcpIFpr4iobFw6fc
WcsPk8tM13a9TZbiqZ1lqKVnx7Zdogm5Sff6WYN9Ob8xsaYGfFv08GCNgL32X5IE
3KLqJ8erdvBTyD8HxswjAl8bhAi12KaI02Uq7iiy8QQABaU1pxsZutbuVoroMFrb
luoXQLn1as1AJSPW+LWGTQ4KJwck3rmeXHYxr63my6zkEXIbbb+mXEd4gr7LVH8M
/xSQAJQhI8OK0HuIY65Ys0UoPwDiKp2Q6bZz1iGiTyNWRaNOfs5tEHl0mVSIXWA7
z1feh7zR6p9MAGQocYmFNIcdgE36VI/8Ecn/JSeXxgEzpsnhQk+VcrhBOzVfJul9
RQxHvogdgef/D3+/ZnLF31j1efHEXaDTtMp+fFy4haBjoUsEOPN4TSiA+6HwRXI2
XILWwuwyV2fEC3O2ohfl1goHVHpXwCHj9UA7oTAyalWpKUr6QV6XA/hvz88fgN9I
jvoy40JKlxjRrJWyxcFDQGDI0yrbLfcpvDGCNtMDD2D/K56c0BFgRz93ToSL6W1j
SDmvceiaLn8ar3M7YO2dB2H59L6RyHPh63AwdW2Rl6T7+Cmz6tPbq7HHDtcl8jvD
GEsqVpQkkG/8aEIbHQNg
=0fHa
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Nov 2013 07:31:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:42:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.